## Class Swift_Transport_StreamBuffer

(line 22)

## Description

    Swift_ByteStream_AbstractFilterableInputStream
       |
       --Swift_Transport_StreamBuffer

Located in File: /vendors/swiftMailer/classes/Swift/Transport/StreamBuffer.php

##### A generic IoBuffer implementation supporting remote sockets and local processes.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_StreamBuffer __construct (Swift_ReplacementFilterFactory $replacementFactory)
void initialize ( $params)
string read (int $length)
string readLine (int $sequence)
void setParam (string $param, mixed $value)
void setReadPointer ( $byteOffset)
void setWriteTranslations ( $replacements)
void terminate ()
void _commit ( $bytes)
void _flush ()

#### Constructor __construct (line 49)

#### Swift_Transport_StreamBuffer __construct( Swift_ReplacementFilterFactory $replacementFactory)

##### Create a new StreamBuffer using $replacementFactory for transformations.

#### Parameters

- Swift_ReplacementFilterFactory $replacementFactory:

#### Info

- access - public

#### Method initialize (line 60)

#### void initialize( $params)

Implementation of:

Swift_Transport_IoBuffer::initialize()
  Perform any initialization needed, using the given $params.

##### Perform any initialization needed, using the given $params.

Parameters will vary depending upon the type of IoBuffer used.

#### Parameters

- array $params:

#### Info

- access - public

#### Method read (line 180)

#### string read( int $length)

##### Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

#### Parameters

- int $length:

#### Info

- access - public

#### Method readLine (line 163)

#### string readLine( int $sequence)

Implementation of:

Swift_Transport_IoBuffer::readLine()
  Get a line of output (including any CRLF).

##### Get a line of output (including any CRLF).

The $sequence number comes from any writes and may or may not be used depending upon the implementation.

#### Parameters

- int $sequence: of last write to scan from

#### Info

- access - public

#### Method setParam (line 80)

#### void setParam( string $param, mixed $value)

Implementation of:

Swift_Transport_IoBuffer::setParam()
  Set an individual param on the buffer (e.g. switching to SSL).

##### Set an individual param on the buffer (e.g. switching to SSL).

#### Parameters

- string $param:
- mixed $value:

#### Info

- access - public

#### Method setReadPointer (line 190)

#### void setReadPointer( $byteOffset)

##### Not implemented

#### Parameters

- $byteOffset:

#### Info

- access - public

#### Method setWriteTranslations (line 133)

#### void setWriteTranslations( $replacements)

Implementation of:

Swift_Transport_IoBuffer::setWriteTranslations()
  Set an array of string replacements which should be made on data written to the buffer. This could replace LF with CRLF for example.

##### Set an array of string replacements which should be made on data written to the buffer. This could replace LF with CRLF for example.

#### Parameters

- string[] $replacements:

#### Info

- access - public

#### Method terminate (line 106)

#### void terminate( )

Implementation of:

Swift_Transport_IoBuffer::terminate()
  Perform any shutdown logic needed.

##### Perform any shutdown logic needed.

#### Info

- access - public

#### Method _commit (line 206)

#### void _commit( $bytes)

Overrides : Swift_ByteStream_AbstractFilterableInputStream::_commit() Commit the given bytes to the storage medium immediately.

##### Write this bytes to the stream

#### Parameters

- $bytes:

#### Info

- access - protected

#### Method _flush (line 197)

#### void _flush( )

Overrides : Swift_ByteStream_AbstractFilterableInputStream::_flush() Flush any buffers/content with immediate effect.

##### Flush the stream contents

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_ByteStream_AbstractFilterableInputStream

#### Swift_ByteStream_AbstractFilterableInputStream::addFilter() - Add a StreamFilter to this InputByteStream.

#### Swift_ByteStream_AbstractFilterableInputStream::bind() - Attach $is to this stream.

#### Swift_ByteStream_AbstractFilterableInputStream::commit() - For any bytes that are currently buffered inside the stream, force them off the buffer.

#### Swift_ByteStream_AbstractFilterableInputStream::flushBuffers() - Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Swift_ByteStream_AbstractFilterableInputStream::removeFilter() - Remove an already present StreamFilter based on its $key.

#### Swift_ByteStream_AbstractFilterableInputStream::unbind() - Remove an already bound stream.

#### Swift_ByteStream_AbstractFilterableInputStream::write() - Writes $bytes to the end of the stream.

#### Swift_ByteStream_AbstractFilterableInputStream::_commit() - Commit the given bytes to the storage medium immediately.

#### Swift_ByteStream_AbstractFilterableInputStream::_flush() - Flush any buffers/content with immediate effect.

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3